Package org.eclipse.emf.cdo.common.id

## Enum CDOID.ObjectType

- java.lang.Object
- - java.lang.Enum<CDOID.ObjectType>
  - - org.eclipse.emf.cdo.common.id.CDOID.ObjectType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CDOID.ObjectType>`
  Enclosing interface:
    CDOID

      public static enum CDOID.ObjectType
      extends java.lang.Enum<CDOID.ObjectType>

  Enumerates the possible sub types of CDO `IDs` with the main type `OBJECT`.
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `LONG` |
    `LONG_WITH_CLASSIFIER` |
    `STRING` |
    `STRING_WITH_CLASSIFIER` |
    `UUID` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `char` | `getID()` |
    `static CDOID.ObjectType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CDOID.ObjectType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LONG

          public static final CDOID.ObjectType LONG

    - #### STRING

          public static final CDOID.ObjectType STRING

    - #### LONG_WITH_CLASSIFIER

          public static final CDOID.ObjectType LONG_WITH_CLASSIFIER

    - #### STRING_WITH_CLASSIFIER

          public static final CDOID.ObjectType STRING_WITH_CLASSIFIER

    - #### UUID

          public static final CDOID.ObjectType UUID

  - ### Method Detail

    - #### values

          public static CDOID.ObjectType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDOID.ObjectType c : CDOID.ObjectType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDOID.ObjectType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getID

          public char getID()

      Since:
        4.0